De-Associate Phone Numbers
De-associates the supplied Phone Numbers from the Messaging Config. If the Messaging Config has a TCR Campaign associated with it, the supplied Phone Numbers will be de-associated from that TCR Campaign. Note that it may take some time for the Phone Numbers to change TCR Campaign association.
Basic Authorization header using the BASIC scheme. Use a pair companySid:token to access the API.
In: header
Path Parameters
Messaging Config Sid.
^(MC)[0-9a-f]{32}$Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Phone List Request.
Response Body
curl -X PATCH "https://example.com/v1/MessagingConfigs/string/deletePhones" \ -H "Content-Type: application/json" \ -d '{ "phones": [ "string" ] }'{ "success": [ "string" ], "failed": [ "string" ]}{ "errors": { "Name": [ "The Name field is required." ] }, "type": "https://tools.ietf.org/html/rfc7231#section-6.5.1", "title": "One or more validation errors occurred.", "status": 400, "detail": "Some detailed message", "traceId": "|4ef17786-b103-420e-89c0-cc425ac14809.edfcbee9_"}{ "type": "https://tools.ietf.org/html/rfc7231#section-6.5.4", "title": "Not found", "status": 404, "detail": "Not found detailed message", "traceId": "|4ef17786-b103-420e-89c0-cc425ac14809.edfcbee9_"}Associate Phone Numbers PATCH
Associates the supplied Phone Numbers with the Messaging Config. If the Messaging Config has a TCR Campaign associated with it, the supplied Phone Numbers will be associated with that TCR Campaign. Note that it may take some time for the Phone Numbers to change TCR Campaign association.
List Opt-Outs GET
Gets the list of all Opt-Outs that are registered for your Phone Numbers and/or TCR Campaigns. This method supports pagination.